<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [bulkPurchase](./bitburner.warehouseapi.bulkpurchase.md)

## WarehouseAPI.bulkPurchase() method

Set material to bulk buy

**Signature:**

```typescript
bulkPurchase(divisionName: string, city: CityName | `${CityName}`, materialName: string, amt: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  materialName | string | Name of the material |
|  amt | number | Amount of material to buy |

**Returns:**

void

